- entityDefinitions:
  - IDI_Task_Class_Create: '{6626b5df-3a2e-4255-92c9-a6ee1ee01805}'
  - IDE_Class_Create: '{71c8536a-8150-4b63-985f-63e42315100d}'
  - IDE_Class_Create_Start: '{708483ff-151c-4b0a-8d78-c30fcebdd99d}'
  - IDE_Class_Create_Subedit: '{aaa045ca-2c73-4894-8e73-d94bdc0adf7d}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_Class_Create;'
    name: 'Create Class'
    initiatingElement: '&IDE_Class_Create_Start;'
    taskCategory: '&IDI_TaskCategory_Class;'
    
  - element: '&IDE_Class_Create_Start;'
    name: 'class create start'
    # processedByCTMethod: '&IDM_ClassCreateStart;'
    elementContents:
    - globalIdentifier: '{2b6f4123-3e87-414e-ac44-10105c0d49f3}'
      defaultDataType: '&IDC_Class;'
      displayOptions:
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{3808fb14-89fc-4f81-aca3-0b897cf24559}'
      defaultDataType: '&IDE_Class_Create_Subedit;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_InitializeForEntry;'
      
  - element: '&IDE_Class_Create_Subedit;'
    name: 'class create subedits'
    elementContents:
    - globalIdentifier: '{ad59104a-08aa-44e7-80c8-4ba4069eac40}'
      defaultDataType: '&IDC_Class;'
      displayOptions:
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{1d3d90b2-4330-4ba3-9e1b-f8f8fb4b0e35}'
      defaultDataType: '&IDA_Name;'
    - globalIdentifier: '{4fca077c-c7b7-4208-a103-3d1cf84dcf99}'
      defaultDataType: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      label: 'Access'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'
